;   CK_LPT1.ASM  version 1.0
;   R. C. Akeson   25 Jan 92

;   Check LPT1 status via BIOS INT 17h.  Returned result code is in
;   AL register and can be checked by ERRORLEVEL in batch files

;   Return Codes:
;       01h = 001d = Time Out
;       02h = 002d = unused
;       04h = 004d = unused
;       08h = 008d = I/O Error
;       10h = 016d = Selected
;       20h = 032d = Out of Paper
;       40h = 064d = Acknowledged
;       80h = 128d = Not Busy
;   Return code will be the sum of the appropriate codes above.
;   Printer and BIOS variations may change the returned codes
;   Out of Paper will return 28h (40d)
;   Printer power off usually returns 80h (128d)
;   Printer ON and READY usually returns 90h (144d)
;   HP LaserJets with Adobe Postscript cartridges return code 90h (144d)
;       regardless of paper status or select (online) status when in
;       Postscript mode, but full status is reported in native LaserJet mode


CSEG        Segment
            Assume  CS:CSEG, DS:CSEG

            Org 0100h       ; for a .COM file

Entry:      mov ah,2        ; set up to get printer status
            mov dx,0        ;   of LPT1
            int 17h         ; request printer status
            mov al,ah       ; data from the int17 is now in AL
            mov ah,4ch      ; set up to pass data in AL & terminate
            int 21h         ; terminate

CSEG        EndS            ; End of segment

            End Entry       ; Denotes entry point
